Bug 86909 - [Writer] Text-flow paragraph properties not working in tables
Summary: [Writer] Text-flow paragraph properties not working in tables
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Writer-Styles-Paragraph
  Show dependency treegraph
 
Reported: 2014-12-01 16:56 UTC by Dan
Modified: 2020-11-17 05:00 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Simple table with lorem ipsum text (35.91 KB, application/vnd.oasis.opendocument.text)
2014-12-03 16:56 UTC, Dan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan 2014-12-01 16:56:32 UTC
The text-flow options "Do not split pararaph", "Keep with next paragraph" and "Widow / Orphan control" do not work for text placed inside table cells.

This is, AFAIK, not an intended feature (at least I cannot see the reasons for that).

Tested on Mac OS X and LO 4.3.4.1 release, but probably OS unrelated.

[N.B.: In fact, I observed some very strange behaviour in this connection when working in a multi-column table (properties set for a paragraph in the first column of a two- column table were applied to the corresponding "mirror" paragraph in the second column); however, I failed to replicate this behaviour during subsequent investigations.]
Comment 1 Alex Thurgood 2014-12-03 12:48:08 UTC Comment hidden (obsolete)
Comment 2 Dan 2014-12-03 16:56:15 UTC
Created attachment 110414 [details]
Simple table with lorem ipsum text
Comment 3 Dan 2014-12-03 16:56:43 UTC
(In reply to Alex Thurgood from comment #1)
> Please provide sample document, and OSX version

(1) OS X 10.10.1 (does not look OS related though)
(2) a simple sample document can be easily creaed by anyone, but I am attaching one for convenience. 

N.B.: Formatting may be an issue and the paragraph breaks may not be exactly the same on all systems. But the desired outcome can easily be recreated by adjusting paragraph length as needed.

Here:
- Para 1 has "Do not split paragraph" box checked but the paragraph is still divided between pages 1 and 2.
- Para 4 has Widow/Orphan control" turned on so there should not be an orphaned line before page break.

Experimenting with "Keep with next paragraph" possible too in the document.
Comment 4 Gordo 2015-03-13 09:01:09 UTC
Reproducible in Windows
Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 5 tommy27 2016-04-16 07:27:03 UTC Comment hidden (obsolete)
Comment 6 Sapomaro 2017-01-04 02:30:27 UTC
Paragraph text flow orphan and widow control still doesn't work in table cells.

Reproducible in Windows 10 Home and Windows 7 Home
LibreOffice Writer Version: 5.2.4.2 (x64) and older versions
Build ID: 3d5603e1122f0f102b62521720ab13a38a4e0eb0
Comment 7 QA Administrators 2018-01-05 03:41:34 UTC Comment hidden (obsolete, spam)
Comment 8 QA Administrators 2020-11-17 05:00:41 UTC
Dear Dan,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug